Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression.spel.ast
Class ConstructorReference

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.ConstructorReference

All Implemented Interfaces:
  SpelNode

    public class ConstructorReference

extends SpelNodeImpl

Represents the invocation of a constructor. Either a constructor on a regular type or construction of an array. When an array is constructed, an initializer can be specified.

Examples:
new String('hello world')
new int[]{1,2,3,4}
new int[3] new int[3]{1,2,3}

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Constructor Summary
`ConstructorReference(int pos, SpelNodeImpl... arguments)` Create a constructor reference.
`ConstructorReference(int pos, SpelNodeImpl[] dimensions, SpelNodeImpl... arguments)` Create a constructor reference.

Method Summary
`TypedValue` | `getValueInternal(ExpressionState state)` Implements getValue() - delegating to the code for building an array or a simple type.
`String` | `toStringAST()`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorReference

    public ConstructorReference(int pos,
                                SpelNodeImpl... arguments)

  Create a constructor reference. The first argument is the type, the rest are the parameters to the constructor call

### ConstructorReference

    public ConstructorReference(int pos,
                                SpelNodeImpl[] dimensions,
                                SpelNodeImpl... arguments)

  Create a constructor reference. The first argument is the type, the rest are the parameters to the constructor call

Method Detail

### getValueInternal

    public TypedValue getValueInternal(ExpressionState state)
                                throws EvaluationException

  Implements getValue() - delegating to the code for building an array or a simple type.

  Specified by:
    `getValueInternal` in class `SpelNodeImpl`
  Throws:
    `EvaluationException`

### toStringAST

    public String toStringAST()

  Specified by:
    `toStringAST` in interface `SpelNode`
  Specified by:
    `toStringAST` in class `SpelNodeImpl`
  Returns:
    the string form of this AST node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD